Bug 1005653 - Remove a project dependency does not remove the dependency from the pom
Remove a project dependency does not remove the dependency from the pom
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Mark Proctor
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 01:31 EDT by Jervis Liu
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jervis Liu 2013-09-09 01:31:31 EDT
Description of problem:
Project screen - > Dependencies: dependencies list -> remove a dependency

This does not remove the corresponding dependency element from the project pom file. 

the project pom ends up like this:
  <dependencies>
    <dependency>
      <groupId>jartest</groupId>
      <artifactId>ex</artifactId>
      <version>1</version>
    </dependency>
    <dependency>
      <groupId>jartest</groupId>
      <artifactId>ex</artifactId>
      <version>1</version>
    </dependency>
    <dependency>
      <groupId>jartest</groupId>
      <artifactId>ex</artifactId>
      <version>1</version>
    </dependency>
    <dependency>
      <groupId>jartest</groupId>
      <artifactId>in</artifactId>
      <version>1</version>
    </dependency>
    <dependency>
      <groupId>jartest</groupId>
      <artifactId>ex</artifactId>
      <version>1</version>
    </dependency>
...


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Jervis Liu 2013-09-09 13:14:15 EDT
fixed
http://github.com/droolsjbpm/guvnor/commit/27745ce0e

Note You need to log in before you can comment on or make changes to this bug.